Package: org.apache.groovy.json.internal

## [Java] Class Exceptions

- org.apache.groovy.json.internal.Exceptions

-     public class Exceptions
      extends Object

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `Exceptions.JsonInternalException` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static boolean` | `die()`
    `` | `public static boolean` | `die(String message)`
    `<T>` | `public static T` | `die(Class<T> clazz, String message)`
    `` | `public static void` | `handle(Exception e)`
    `<T>` | `public static T` | `handle(Class<T> clazz, Exception e)`
    `<T>` | `public static T` | `handle(Class<T> clazz, String message, Throwable e)`
    `` | `public static void` | `handle(String message, Throwable e)`
    `` | `public static String` | `sputs(CharBuf buf, Object messages)`
    `` | `public static String` | `sputs(Object messages)`
    `` | `public static String` | `toString(Exception ex)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static boolean die()

    - #### public static boolean die(String message)

    - #### <T> public static T die(Class<T> clazz, String message)

    - #### public static void handle(Exception e)

    - #### <T> public static T handle(Class<T> clazz, Exception e)

    - #### <T> public static T handle(Class<T> clazz, String message, Throwable e)

    - #### public static void handle(String message, Throwable e)

    - #### public static String sputs(CharBuf buf, Object messages)

    - #### public static String sputs(Object messages)

    - #### public static String toString(Exception ex)